<?php
# PHP guestbook (GBook)
# Version: 1.33
# File last modified: July 11 2005 17:27
# File name: gbook.php
# Written 27th December 2004 by Klemen Stirn (info@phpjunkyard.com)
# http://www.PHPJunkYard.com

# PHP Βιβλίο Σχολίων (GBook-EL)
# Ελληνική έκδοση: 1.33
# Όνομα αρχείου: gbook_el.php
# Μετάφραση από Ανδρέας Κακανισ-Σιλκ - Αύγουστος 2005 (andreas@dunelm.org.uk)
# http://www.vakalis.edu.gr/aks/

##############################################################################
# COPYRIGHT NOTICE                                                           #
# Copyright 2004-2005 PHPJunkYard All Rights Reserved.                       #
#                                                                            #
# This script may be used and modified free of charge by anyone so long as   #
# this copyright notice and the comments above remain intact. By using this  #
# code you agree to indemnify Klemen Stirn from any liability that might     #
# arise from it's use.                                                       #
#                                                                            #
# Selling the code for this program without prior written consent is         #
# expressly forbidden. In other words, please ask first before you try and   #
# make money off this program.                                               #
#                                                                            #
# Obtain permission before redistributing this software over the Internet or #
# in any other medium. In all cases copyright and header must remain intact. #
# This Copyright is in full effect in any country that has International     #
# Trade Agreements with the United States of America or with                 #
# the European Union.                                                        #
##############################################################################

##############################################################################
# ΑΝΑΝΕΩΣΗ ΠΝΕΥΜΑΤΙΚΩΝ ΔΙΚΑΙΟΜΑΤΩΝ                                           #
# © 2004-2005 PHPJunkYard. Όλα τα δικαιώματα διατηρούνται                    #
# Η μετάφραση © 2005 Ανδρέας Κακανισ-Σιλκ                                    #
#                                                                            #
# Αυτό το πρόγραμμα μπορεί να χρησιμοποιηθεί και να τροποποιηθεί δωρεάν από  #
# καθένα εφ' όσον αυτή η ανακοίνωση πνευματικών δικαιωμάτων και τα παραπάνω  #
# σχόλια παραμένουν άθικτα. Με τη χρήση αυτού του κώδικα συμφωνείτε να       #
# αποζημιώσετε Klemen Stirn ή Ανδρέας Κακανισ-Σιλκ από οποιαδήποτε ευθύνη    #
# που να προκύψει από τη χρήση του.                                          #
#                                                                            #
# Η πώληση του κώδικα για αυτό το πρόγραμμα χωρίς προγενέστερη γραπτή        #
# συγκατάθεση είναι ρητώς απαγορευμένη. Με άλλα λόγια, παρακαλώ ρωτήστε      #
# πρώτα προτού να δοκιμάσετε να πάρετε χρήματα από αυτό το πρόγραμμα.        #
#                                                                            #
# Πάρετε την άδεια πριν ανακατανέμει αυτό το λογισμικό μέσω του Διαδικτύου ή #
# σε οποιοδήποτε μέσο. Σε όλες τις περιπτώσεις η ανακοίνωση πνευματικών      #
# δικαιωμάτων πρέπει να παραμείνουν άθικτα. Αυτά τα πνευματικά δικαιώματα    #
# είναι στην πλήρη επίδραση σε οποιαδήποτε χώρα που έχει τις διεθνείς        #
# εμπορικές συμφωνίες με τις Ηνωμένες Πολιτείες της Αμερικής ή με την        #
# Ευρωπαϊκή Ένωση.                                                           #
##############################################################################

#############################################
#     ΜΗΝ ΑΛΛΑΞΕΤΕ ΤΙΣ ΠΑΡΑΚΑΤΩ ΓΡΑΜΜΕΣ     #
#############################################

error_reporting(E_ALL ^ E_NOTICE);

require_once('settings.php');

if($settings['system'] == 2) {$settings['newline']="\r\n";}
elseif($settings['system'] == 3) {$settings['newline']="\r";}
else {$settings['newline']="\n";}

$a=$_REQUEST['a'];

/* This should take care of the signup form not caching problem */
if($a!="sign") {printNoCache();}
/* And this will start session which will help prevent multiple submissions */
if($a=="add") {
session_start();
	if (!isset($_SESSION['checked']))
    {
    $_SESSION['checked']="N";
    $_SESSION['secnum']=rand(10000,99999);
    }
}

printTopHTML();

if (!(empty($a))) {
	if($a=="sign") {
    	printSign();
    } elseif($a=="delete") {
        $num=gbook_isNumber($_REQUEST['num'],"Λανθασμένος  αναγνωριστής");
        confirmDelete($num);
    } elseif($a=="viewprivate") {
        $num=gbook_isNumber($_REQUEST['num'],"Λανθασμένος  αναγνωριστής");
		confirmViewPrivate($num);
    } elseif($a=="add") {
        $name=gbook_input($_REQUEST['name'],"Παρακαλώ εισάγετε το ονοματεπώνυμό σας");
        $from=gbook_input($_REQUEST['from']);
        $a=check_mail_url(); $email=$a['email']; $url=$a['url'];
        $comments=gbook_input($_REQUEST['comments'],"Παρακαλώ εισάγετε τα σχόλια σας");
        $isprivate=gbook_input($_REQUEST['private']);

        if ($settings['autosubmit'] == 1)
        {
			if ($_SESSION['checked'] == "N")
	        {
                print_secimg($name,$from,$email,$url,$comments,$isprivate);
	        }
            elseif ($_SESSION['checked'] == "P")
            {
                $_SESSION['checked'] = "N";
                $secnumber=gbook_isNumber($_REQUEST['secnumber']);
	            if(empty($secnumber)) {print_secimg($name,$from,$email,$url,$comments,$isprivate,1);}
	            $secimg=check_secnum($secnumber,$_SESSION['secnum']);
                if (empty($secimg))
                {print_secimg($name,$from,$email,$url,$comments,$isprivate,2);}
            }
            else {problem("Εσωτερικό σφάλμα προγράμματος. Λανθασμένες παράμετροι συνεδρίασης!");}
        }

		addEntry($name,$from,$email,$url,$comments,$isprivate);

    } elseif($a=="confirmdelete") {
    	$pass=gbook_input($_REQUEST['pass'],"Παρακαλώ εισάγετε τον κωδικό σας πρόσβασης");
        $num=gbook_isNumber($_REQUEST['num'],"Λανθασμένος  αναγνωριστής");
    	doDelete($pass,$num);
    } elseif($a=="showprivate") {
    	$pass=gbook_input($_REQUEST['pass'],"Παρακαλώ εισάγετε τον κωδικό σας πρόσβασης");
        $num=gbook_isNumber($_REQUEST['num'],"Λανθασμένος  αναγνωριστής");
	    showPrivate($pass,$num);
    } else {
    problem("Αυτή δεν είναι μια έγκυρη δράση!");
    }
}

$page=gbook_isNumber($_REQUEST['page']);
if ($page>0) {
	$start=($page*10)-9;$end=$start+9;
} else {
	$page=1;$start=1;$end=10;
}

$filesize=filesize($settings['logfile']);
$fp = @fopen($settings['logfile'],"rb") or problem("Το αρχείο σχολίων δεν μπορεί να ανοιχτά $settings[logfile]) for reading! CHMOD αυτό το αρχείο σε 666 (rw-rw-rw)!");
$content=@fread($fp,$filesize);
fclose($fp);
$content = trim(chop($content));
$lines = explode($settings['newline'],$content);

if ($filesize == 0) {$total=0;}
else {
$total = count($lines);
	if ($end > $total) {$end=$total;}
$pages = ceil($total/10);
echo "<p>Παρουσιάζεται σελίδα $page από $pages. Σελίδες: ";
	for ($i=1; $i<=$pages; $i++) {
		if($i == $page) {echo "<b>$i</b>\n";}
        else {echo "<a href=\"gbook.php?page=$i\">$i</a>\n";}
	}
}

echo "</p>
<table border=\"0\" cellspacing=\"0\" cellpadding=\"2\" width=\"95%\" class=\"entries\">";

if ($filesize == 0) {
echo "<tr>
<td>Δεν υπάρχουν εγγραφές ακόμα!</td>
</tr>";
}
else {printEntries($lines,$start,$end);}

echo "</table>";

if ($filesize != 0) {
echo "<p>Σελίδες: ";
	for ($i=1; $i<=$pages; $i++) {
		if($i == $page) {echo "<b>$i</b>\n";}
        else {echo "<a href=\"gbook.php?page=$i\">$i</a>\n";}
	}
}

printCopyHTML();
printDownHTML();
exit();


// >>> START FUNCTIONS <<< //

function check_secnum($secnumber,$checksum) {
global $settings;
	    if ($secnumber == $checksum)
	        {
            unset($_SESSION['checked']);
	        return true;
	        }
	    else
	    {
            return false;
	    }
} // END check_secnum


function print_secimg($name,$from,$email,$url,$comments,$isprivate,$message=0) {
$_SESSION['checked']="P";
?>
<h3 align="center">Έλεγχος Anti-SPAM</h3>
</p>
<form action="gbook.php?<?php echo strip_tags (SID)?>" method="POST" name="form"><input type="hidden" name="a" value="add">
<table class="entries" cellspacing="0" cellpadding="4" border="0">
<tr>
<td>

<p>&nbsp;</p>
<?php
if ($message == 1) {echo "<p align=\"center\"><b>Παρακαλώ εισάγετε τον αριθμό ασφάλειας</b></p>";}
elseif ($message == 2) {echo "<p align=\"center\"><b>Λανθασμένος αριθμός ασφάλειας. Παρακαλώ εισάγετε ξανά</b></p>";}
?>
<p>&nbsp;</p>
<p>Αυτό είναι ένας έλεγχος ασφάλειας που αποτρέπει τις αυτοματοποιημένες εγγραφές σε αυτό το βιβλίο σχολίων (SPAM). Παρακαλώ εισάγετε τον αριθμό ασφάλειας που επιδεικνύεται κατωτέρω στο πλαίσιο κειμένου και κάντε κλικ στο κουμπί «Επόμενο».</p>
<p>&nbsp;</p>
<p>Αρ. ασφάλειας: <b><?php echo $_SESSION['secnum']; ?></b><br>
Παρακαλώ εισάγετε τον αριθμό ασφάλειας που επιδεικνύεται ανωτέρω:
<input type="text" size="7" name="secnumber" maxlength="5" id="input"></p>
<p>&nbsp;
<input type="hidden" name="name" value="<?php echo $name; ?>">
<input type="hidden" name="from" value="<?php echo $from; ?>">
<input type="hidden" name="email" value="<?php echo $email; ?>">
<input type="hidden" name="url" value="<?php echo $url; ?>">
<input type="hidden" name="comments" value="<?php echo $comments; ?>">
<input type="hidden" name="private" value="<?php echo $isprivate; ?>">
<input type="hidden" name="nosmileys" value="<?php echo $_REQUEST['nosmileys']; ?>">
</p>
<p align="center"><input type="submit" value=" Επόμενο "></p>
<p>&nbsp;</p>
<p>&nbsp;</p>
</td>
</tr>
</table>
</form>

<?php
printCopyHTML();
printDownHTML();
exit();
} // END print_secimg



function filter_bad_words($text) {
global $settings;
$file = 'badwords/'.$settings['filter_lang'].'.php';

	if (file_exists($file))
    {
    	include_once($file);
    }
    else
    {
    	problem("Το αρχείο των κακών λεξέων ($file) δεν βρέθηκε! Παρακαλώ ελέγξτε το όνομα του αρχείου. Στους περισσότερους εξυπηρετητές η ΠτΏσΗ ΧαΡαΚτΉρΩν παίζει ρόλο!");
    }
	foreach ($settings['badwords'] as $k => $v)
    {
    	$text = preg_replace("/$k/i",$v,$text);
    }

return $text;
} // END filter_bad_words

function showPrivate($pass,$num) {
global $settings;
if ($pass != $settings[apass]) {problem("Λανθασμένος κωδικός πρόσβασης! Μόνο ο ιδιοκτήτης του βιβλίου σχολίων μπορεί να διαβάσει αυτό το σχόλιο!","1");}

$delimiter="\t";
$lines = file($settings['logfile']);

list($name,$from,$email,$url,$comment,$added,$isprivate)=explode($delimiter,$lines[$num]);
echo "<table border=\"0\" cellspacing=\"0\" cellpadding=\"2\" width=\"95%\" class=\"entries\">
<tr>
<td class=\"upper\" width=\"35%\"><b>Υποβληθεί από</b></td>
<td class=\"upper\" width=\"65%\"><b>Σχόλια:</b></td>
</tr>
<tr>
<td valign=\"top\" width=\"35%\"><b>$name</b><br>
<font class=\"smaller\">Από: $from</font><br>
<font class=\"smaller\">Τοποθεσία:</font> ";
if (strlen($url)>0) {
echo "<a href=\"go.php?url=$url\" target=\"_blank\" class=\"smaller\">$url</a>";
}
echo"<br>
<font class=\"smaller\">E-mail:</font> ";
if (strlen($email)>0) {
echo "<a href=\"mailto:$email\" target=\"_blank\" class=\"smaller\">$email</a>";
}
echo "</td>
<td valign=\"top\" width=\"65%\">$comment
<hr>
<font class=\"smaller\">Added: $added &nbsp;&nbsp;&nbsp;&nbsp;
<a href=\"gbook.php?a=delete&num=$num\"><img src=\"images/delete.gif\" width=\"16\"
height=\"14\" border=\"0\" alt=\"Διαγραφή της εγγραφής\"></a></font>
</td>
</tr>";

echo "</table>
<p align=\"center\"><a href=\"gbook.php\">Επιστροφή στο βιβλίο σχολίων</a></p>
";

printCopyHTML();
printDownHTML();
exit();
} // END showPrivate

function confirmViewPrivate($num) {
?>
<p>&nbsp;</p>
<p>&nbsp;</p>
<form action="gbook.php" method="POST"><input type="hidden" name="a" value="showprivate">
<input type="hidden" name="num" value="<?php echo($num); ?>">
<p><b>Αυτό είναι ένα ιδιωτικό σχόλιο για τον ιδιοκτήτη του βιβλίου σχολίων.</b></p>
<p>Παρακαλώ εισάγετε τον προσωπικό σας κωδικό διαχείρισης:<br>
<input type="password" name="pass" size="20"></p>
<p><input type="submit" value="Βλέπετε αυτήν την εγγραφή"> | <a href="Javascript:history.go(-1)">Επιστροφή</a></p>
</form>
<p>&nbsp;</p>
<p>&nbsp;</p>
<?php
printCopyHTML();
printDownHTML();
exit();
} // END confirmViewPrivate

function processsmileys($text) {
$text = preg_replace("/\:\)/","<img src=\"images/icon_smile.gif\" border=\"0\" alt=\"\">",$text);
$text = preg_replace("/\:\(/","<img src=\"images/icon_frown.gif\" border=\"0\" alt=\"\">",$text);
$text = preg_replace("/\:D/","<img src=\"images/icon_biggrin.gif\" border=\"0\" alt=\"\">",$text);
$text = preg_replace("/\;\)/","<img src=\"images/icon_wink.gif\" border=\"0\" alt=\"\">",$text);
$text = preg_replace("/\:o/","<img src=\"images/icon_redface.gif\" border=\"0\" alt=\"\">",$text);
$text = preg_replace("/\:p/i","<img src=\"images/icon_razz.gif\" border=\"0\" alt=\"\">",$text);
$text = preg_replace("/\:cool\:/i","<img src=\"images/icon_cool.gif\" border=\"0\" alt=\"\">",$text);
$text = preg_replace("/\:rolleyes\:/i","<img src=\"images/icon_rolleyes.gif\" border=\"0\" alt=\"\">",$text);
$text = preg_replace("/\:mad\:/i","<img src=\"images/icon_mad.gif\" border=\"0\" alt=\"\">",$text);
$text = preg_replace("/\:eek\:/i","<img src=\"images/icon_eek.gif\" border=\"0\" alt=\"\">",$text);
$text = preg_replace("/\:clap\:/i","<img src=\"images/yelclap.gif\" border=\"0\" alt=\"\">",$text);
$text = preg_replace("/\:bonk\:/i","<img src=\"images/bonk.gif\" border=\"0\" alt=\"\">",$text);
$text = preg_replace("/\:chased\:/i","<img src=\"images/chased.gif\" border=\"0\" alt=\"\">",$text);
$text = preg_replace("/\:crazy\:/i","<img src=\"images/crazy.gif\" border=\"0\" alt=\"\">",$text);
$text = preg_replace("/\:cry\:/i","<img src=\"images/cry.gif\" border=\"0\" alt=\"\">",$text);
$text = preg_replace("/\:curse\:/i","<img src=\"images/curse.gif\" border=\"0\" alt=\"\">",$text);
$text = preg_replace("/\:err\:/i","<img src=\"images/errr.gif\" border=\"0\" alt=\"\">",$text);
$text = preg_replace("/\:livid\:/i","<img src=\"images/livid.gif\" border=\"0\" alt=\"\">",$text);
$text = preg_replace("/\:rotflol\:/i","<img src=\"images/rotflol.gif\" border=\"0\" alt=\"\">",$text);
$text = preg_replace("/\:love\:/i","<img src=\"images/love.gif\" border=\"0\" alt=\"\">",$text);
$text = preg_replace("/\:nerd\:/i","<img src=\"images/nerd.gif\" border=\"0\" alt=\"\">",$text);
$text = preg_replace("/\:nono\:/i","<img src=\"images/nono.gif\" border=\"0\" alt=\"\">",$text);
$text = preg_replace("/\:smash\:/i","<img src=\"images/smash.gif\" border=\"0\" alt=\"\">",$text);
$text = preg_replace("/\:thumbsup\:/i","<img src=\"images/thumbup.gif\" border=\"0\" alt=\"\">",$text);
$text = preg_replace("/\:toast\:/i","<img src=\"images/toast.gif\" border=\"0\" alt=\"\">",$text);
$text = preg_replace("/\:welcome\:/i","<img src=\"images/welcome.gif\" border=\"0\" alt=\"\">",$text);
$text = preg_replace("/\:ylsuper\:/i","<img src=\"images/ylsuper.gif\" border=\"0\" alt=\"\">",$text);
return "$text";
} // END processsmileys

function doDelete($pass,$num) {
global $settings;
if ($pass != $settings[apass]) {problem("Λανθασμένος κωδικός πρόσβασης! Η εγγραφή δεν έχει διαγραφεί.","1");}

$filesize=filesize($settings['logfile']);
$fp = @fopen($settings['logfile'],"rb") or problem("Το αρχείο σχολίων ($settings[logfile]) δεν μπορεί να ανοίγεται για ανάγνωση! CHMOD αυτό το αρχείο σε 666 (rw-rw-rw)!");
$content=@fread($fp,$filesize);
fclose($fp);
$content = trim(chop($content));
$lines = explode($settings['newline'],$content);
unset($lines[$num]);
$fp = fopen($settings['logfile'],"wb") or problem("Το αρχείο συνδέσεων ($settings[logfile]) δεν μπορεί να ανοίγεται για γράψιμο! Παρακαλώ CHMOD all $settings[logfile] σε 666 (rw-rw-rw)!");
foreach ($lines as $thisline) {
$thisline .= $settings['newline'];
fputs($fp,$thisline);
}
fclose($fp);

?>
<p>&nbsp;</p>
<p>&nbsp;</p>
<p><b>Η επιλεγμένη εγγραφή αφαιρέθηκε επιτυχώς!</b></p>
<p><a href="gbook.php?page=1">Κάντε κλικ εδώ να συνεχιστείτε</a></p>
<p>&nbsp;</p>
<p>&nbsp;</p>
<p>&nbsp;</p>
<p>&nbsp;</p>
<?php
printCopyHTML();
printDownHTML();
exit();
} // END doDelete

function confirmDelete($num) {
?>
<p>&nbsp;</p>
<p>&nbsp;</p>
<form action="gbook.php" method="POST"><input type="hidden" name="a" value="confirmdelete">
<input type="hidden" name="num" value="<?php echo($num); ?>">
<p><b>Παρακαλώ εισάγετε τον κωδικό διαχείρισης:</b><br>
<input type="password" name="pass" size="20"></p>
<p><b>Επιβεβαιώσετε ότι θέλετε να διαγράψετε αυτή την εγγραφή. Δεν μπορείτε να ακυρώσετε αυτή την δράση!</b></p>
<p><input type="submit" value="ΝΑΙ, διαγράψετε την εγγραφή"> | <a href="gbook.php">ΟΧΙ, Άλλαξα τη γνώμη μου</a></p>
</form>
<p>&nbsp;</p>
<p>&nbsp;</p>
<?php
printCopyHTML();
printDownHTML();
exit();
} // END confirmDelete


function check_mail_url()
{
$v = array('email' => '','url' => '');
$char = array('.','@');
$repl = array("&#46;","&#64;");

$v['email']=htmlspecialchars("$_REQUEST[email]");
if (strlen($v['email']) > 0 && !(preg_match("/([\w\-]+\@[\w\-]+\.[\w\-]+)/",$v['email']))) {problem("Παρακαλώ εισάγετε μια έγκυρη διεύθυνση e-mail!","1");}
$v['email']=str_replace($char,$repl,$v['email']);

$v['url']=htmlspecialchars("$_REQUEST[url]");
if ($v['url'] == "http://" || $v['url'] == "https://") {$v['url'] = "";}
elseif (strlen($v['url']) > 0 && !(preg_match("/(http(s)?:\/\/+[\w\-]+\.[\w\-]+)/i",$v['url']))) {problem("O URL της τοποθεσίας δεν ισχύει. Σιγουρευτείτε ότι το αρχίζετε με http:// ή https://!","1");}

return $v;
} // END check_mail_url


function addEntry($name,$from,$email,$url,$comments,$isprivate="0") {
global $settings;

	/* This part will help prevent multiple submissions */
    if ($settings['one_per_session'] && $_SESSION['add'])
    {
        problem("Μπορείτε να υποβάλετε μόνο μια εγγραφή σε αυτό το βιβλίο σχολίων μία φορά ανά συνεδρίαση!");
    }

$delimiter="\t";
$added=strtotime("now");

$comments_nosmileys=$comments;
$comments = str_replace("\r\n","<br>",$comments);
$comments = str_replace("\n","<br>",$comments);
$comments = str_replace("\r","<br>",$comments);
$comments = wordwrap($comments,$settings['max_word'],'<br>',1);
if ($settings['smileys'] == 1 && $_REQUEST['nosmileys'] != "Y") {$comments = processsmileys($comments);}


if ($settings['filter']) {
$name = filter_bad_words($name);
$from = filter_bad_words($from);
$comments = filter_bad_words($comments);
}

$addline = "$name$delimiter$from$delimiter$email$delimiter$url$delimiter$comments$delimiter$added$delimiter$isprivate$settings[newline]";

$fp = @fopen($settings['logfile'],"rb") or problem("Το αρχείο σχολίων ($settings[logfile]) δεν μπορεί να ανοίγεται για ανάγνωση! CHMOD αυτό το αρχείο σε 666 (rw-rw-rw)!");
$links = @fread($fp,filesize($settings['logfile']));
fclose($fp);
$addline .= $links;
$fp = fopen($settings['logfile'],"wb") or problem("Το αρχείο συνδέσεων ($settings[logfile]) δεν μπορεί να ανοίγεται για γράψιμο! Παρακαλώ CHMOD all $settings[logfile] σε 666 (rw-rw-rw)!");
fputs($fp,$addline);
fclose($fp);

if ($settings['notify'] == 1)
	{
    $char = array('.','@');
	$repl = array("&#46;","&#64;");
    $email=str_replace($repl,$char,$email);
    $message = "Καλημέρα!

Ένα σχόλιο μολίς έχει δημιουργηθεί στο βιβλίο σχολίων!

Όνομα: $name
Από: $from
E-mail: $email
Τοποθεσία: $url

Σχόλιο (χωρίς smileys):
$comments_nosmileys


Χρησιμοποιήσετε τοω παρακάτω URL να δείτε το βιβλίο σχολίων:
$settings[gbook_url]

Τέλος μηνύματος
";

    mail("$settings[admin_email]","Ένα σχόλιο έχει δημιουργηθεί στο βιβλίο σχολίων",$message);
    }

/* Register this session variable */
$_SESSION['add']=1;

?>
<p>&nbsp;</p>
<p>&nbsp;</p>
<p><b>Το μήνυμά σας προστέθηκε επιτυχώς!</b></p>
<p><a href="gbook.php?page=1">Κάντε κλικ εδώ να συνεχιστείτε</a></p>
<p>&nbsp;</p>
<p>&nbsp;</p>
<p>&nbsp;</p>
<p>&nbsp;</p>
<?php
printCopyHTML();
printDownHTML();
exit();
} // END addEntry

function printSign() {
global $settings;
?>
<h3 align="center">Εισάγετε σχόλιο</h3>
<p>Τα απαραίτητα πεδία είναι σε <b>έντονα</b>.
<script language="Javascript" type="text/javascript"><!--
function openSmiley() {
w=window.open("smileys.htm", "smileys", "fullscreen=no,toolbar=no,status=no,menubar=no,scrollbars=yes,resizable=yes,directories=no,location=no,width=300,height=300");
  if(!w.opener)
  {
  w.opener=self;
  }
}
//-->
</script>
</p>
<form action="gbook.php" method="POST" name="form"><input type="hidden" name="a" value="add">
<table class="entries" cellspacing="0" cellpadding="4" border="0">
<tr>
<td>

<table cellspacing="0" cellpadding="3" border="0">
<tr>
<td><b>Το όνομά σας:</b></td>
<td><input type="text" name="name" size="30" maxlength="30"></td>
</tr>
<tr>
<td>Από που είστε;</td>
<td><input type="text" name="from" size="30" maxlength="30"></td>
</tr>
<tr>
<td>Η διεύθυνσή σας e-mail:</td>
<td><input type="text" name="email" size="30" maxlength="50"></td>
</tr>
<tr>
<td>Η τοποθεσία σας:</td>
<td><input type="text" name="url" value="http://" size="40" maxlength="80"></td>
</tr>
</table>
<p align="center"><b>Σχόλια:</b><br>
<textarea name="comments" rows="9" cols="50"></textarea><?php
if ($settings['smileys'] == 1) {
echo "<br><a href=\"javascript:openSmiley()\">Εισαγωγή smileys</a>
(Ανοίγει νέο παράθυρο)<br>
<input type=\"checkbox\" name=\"nosmileys\" value=\"Y\"> Απενεργοποίηση smileys";
}
?></p>
<p align="center"><input type="checkbox" name="private" value="Y">Ιδιωτικό σχόλιο;</p>
<p align="center"><input type="submit" value=" Προσθέσετε τα σχόλια μου "></p>
</td>
</tr>
</table>
</form>
<?php
printCopyHTML();
printDownHTML();
exit();
} // END printSign


function printEntries($lines,$start,$end) {
$start=$start-1;
$end=$end-1;
$delimiter="\t";
for ($i=$start;$i<=$end;$i++) {
list($name,$from,$email,$url,$comment,$added,$isprivate)=explode($delimiter,$lines[$i]);
echo "
<tr>
<td class=\"upper\" width=\"35%\"><b>Υποβληθεί από:</b></td>
<td class=\"upper\" width=\"65%\"><b>Σχόλια:</b></td>
</tr>
<tr>
<td valign=\"top\" width=\"35%\"><b>$name</b><br>
<font class=\"smaller\">Από: $from</font><br>
<font class=\"smaller\">Τοπθεσία:</font> ";
if (strlen($url)>0) {
echo "<a href=\"go.php?url=$url\" target=\"_blank\" class=\"smaller\">$url</a>";
}
echo"<br>
<font class=\"smaller\">E-mail:</font> ";
if (strlen($email)>0) {
echo "<a href=\"mailto&#58;$email\" target=\"_blank\" class=\"smaller\">$email</a>";
}
echo "</td>
<td valign=\"top\" width=\"65%\">";

	if (empty($isprivate)) {echo "$comment";}
    else {
    	echo "<p>&nbsp;</p>
    	<p><i><a href=\"gbook.php?a=viewprivate&num=$i\">Ιδιωτικό σχόλιο.
        Κάντε κλικ να το διαβάσετε.</a></i></p>";
    }
$added = elDate($added);
echo "<hr>
<font class=\"smaller\">Προστέθηκε: $added &nbsp;&nbsp;&nbsp;&nbsp;
<a href=\"gbook.php?a=delete&num=$i\"><img src=\"images/delete.gif\" width=\"16\"
height=\"14\" border=\"0\" alt=\"Διαγραφή εγγραφής\"></a></font>
</td>
</tr>
";
}
} // END printEntries


function problem($myproblem,$backlink="1") {
$html = "<p>&nbsp;</p>
<p>&nbsp;</p>
<p align=\"center\"><b>Error</b></p>
<p align=\"center\">$myproblem</p>
<p>&nbsp;</p>
";
	if ($backlink) {
		$html .= "<p align=\"center\"><a href=\"Javascript:history.go(-1)\">Επιστροφή στην προηγούμενη σελίδα</a></p>\n";
	}

$html .= "<p>&nbsp;</p>
<p>&nbsp;</p>";

echo "$html\n";

printCopyHTML();
printDownHTML();
exit();
} // END problem


function printNoCache() {
header("Expires: Mon, 26 Jul 2000 05:00:00 GMT");
header("Cache-Control: no-store, no-cache, must-revalidate");
header("Cache-Control: post-check=0, pre-check=0", false);
header("Pragma: no-cache");
} // END printNoCache


function printTopHTML() {
global $settings;
echo "<!DOCTYPE html PUBLIC \"-//W3C//DTD HTML 4.0 Transitional//EN\">
<html>
<head>
<title>$settings[gbook_title]</title>
<meta content=\"text/html; charset=utf-8\">
<link href=\"style.css\" type=\"text/css\" rel=\"stylesheet\">
</head>
<body>
";
include_once "header.txt";
echo "<h3 align=\"center\">$settings[gbook_title]</h3>
<p align=\"center\"><a href=\"$settings[website_url]\">Επιστροφή στη $settings[website_title]</a>
| <a href=\"gbook.php\">Ανάγνωση βιβλίου σχολίων</a>
| <a href=\"gbook.php?a=sign\">Εισάγετε σχόλιο</a></p>
<div algin=\"center\">
<center>
";
} // END printTopHTML


function printDownHTML() {
global $settings;
echo "</center>
</div>";
include_once "footer.txt";
echo "</body>
</html>";
}  // END printDownHTML


function printCopyHTML() {
global $settings;
echo "<hr width=\"95%\">
<!--
Αλλάζοντας της πρότασης \"Powered by\" χωρίς την αγορά μιας άδειας είναι παράνομη! Παρακαλώ επισκεφτείτε http://www.phpjunkyard.com/copyright-removal.php για περισσότερες πληροφορίες.
-->
<p align=\"center\"><font class=\"smaller\">Powered by <a href=\"http://www.phpjunkyard.com/php-guestbook-script.php\" class=\"smaller\" target=\"_blank\">PHP guestbook</a> $settings[verzija] from
<a href=\"http://www.phpjunkyard.com/\" target=\"_blank\" class=\"smaller\">PHPJunkyard
- Free PHP scripts</a> <a href=\"http://www.vakalis.edu.gr/aks/\" target=\"_blank\" class=\"smaller\">Ελληνική έκδοση από Ανδρέας Κακάνης-Σιλκ</a></font></p>";
} // END printCopyHTML

function gbook_input($in,$error=0) {

	$in = trim($in);

    if (strlen($in))
    {
        $in = htmlspecialchars($in);
    }
    elseif ($error)
    {
    	problem($error);
    }

    return stripslashes($in);

} // END gbook_input()

function gbook_isNumber($in,$error=0) {

	$in = trim($in);

	if (preg_match("/\D/",$in) || $in=="")
    {
    	if ($error)
        {
        	problem($error);
        }
        else
        {
        	return '0';
        }
    }

    return $in;

} // END gbook_isNumber()


function elDate($stamp) {
                 $months = array(1=>"Ιανουαρίου",
                 2=>"Φεβρουαρίου",
                 3=>"Μαρτίου",
                 4=>"Απριλίου",
                 5=>"Μαΐου",
                 6=>"Ιουνίου",
                 7=>"Ιουλίου",
                 8=>"Αυγούστου",
                 9=>"Σεπτεμβρίου",
                 10=>"Οκτωβρίου",
                 11=>"Νοεμβρίου",
                 12=>"Δεκεμβρίου");
                
// Τρέχων μήνας
                 $month = date("n", $stamp);

                 $days = array("Κυριακή","Δευτέρα","Τρίτη","Τετάρτη",
                     "Πέμπτη","Παρασκευή","Σάββατο");

// Τρέχουσα ημέρα
                   $day = date("w", $stamp);

 $grdate = $days[$day].", ".date("d", $stamp)." ".$months[$month]." ".date("Y", $stamp);
 
 return $grdate;
} //END elDate($stamp)
?>